<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Tables and Forms</title>
	</head>
	<body>

		<header>
			<h1>HTML Tables and Forms</h1>
		<header>

		<main>
			<section>
				<h2>HTML Entities</h2>

				<p><em>Reserved characters in HTML (e.g. &lt; ot &gt; characters that can mix up with HTML code).</em></p>

				<!-- Define an HTML Table -->
				<!-- The value of the border refers to the thickness -->
				<table border="1">
					<!-- Used to group table header content -->
					<thead>
						<!-- Defines the table row -->
						<tr>
							<!-- Defines the table header element -->
							<!-- colspan makes a column in a column -->
							<th colspan="2">Entity</th>
							<th>Description</th>
						</tr>
					</thead>
					<!-- Used to group the table body content -->
					<tbody>
						<tr>
							<!-- Defines the table data element -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>
						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>
						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>
						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>apostrophe</td>
						</tr>
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>lower tilde</td>
						</tr>
						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>upper tilde</td>
						</tr>
					</tbody>
					<!-- Used to group table footer content -->
					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>
					</tfoot>
				</table>
			</section>
			
			<section>
				<h2>HTML Forms</h2>

				<p><em>Input elements that make up a form.</em></p>

				<!-- It creates an HTML form to capture the user's input -->
				<!-- The action is used to define where the information will be sent -->
				<form action="https://google.com">

					<!-- Creates a label and allows for input -->
					<label for="full_name">Full Name: </label><br>
					<!-- required does not allow the form to be submitted unless all fields are filled up -->
					<!-- autocomplete provides suggestion for text inputs based on the previous user inputs -->
					<input type="text" name="full_name" id="full_name" required autocomplete><br>

					<label for="birth_date">Birth Date:</label><br>
					<input type="date" name="birth_date" id="birth_date" required><br>

					<label for="age">Age:</label><br>
					<input type="number" name="age" id="age" required><br>

					<label for="gender">Gender:</label><br>
					<!-- Creates a dropdown menu -->
					<select name="gender" id="gender">
						<!-- It creates an option for the dropdown -->
						<option value="male">Male</option>
						<option value="female">Female</option>
					</select><br>

					<label for="notes">Notes:</label><br>
					<!-- Creates a larger text input -->
					<textarea name="notes" id="notes" rows="5"></textarea><br>

					<!-- Radio Buttons -->
					<label>New User:</label><br>
					<input type="radio" name="new_user" id="user-type1" value="yes">
					<label for="user-type1">Yes</label><br>

					<input type="radio" name="new_user" id="user-type2" value="no">
					<label for="user-type2">No</label><br>

					<br>

					<!-- Check Boxes -->
					<label>Role:</label><br>

					<input type="checkbox" name="role1" id="role1" value="developer">
					<label for="role1">Developer</label><br>

					<input type="checkbox" name="role2" id="role2" value="student">
					<label for="role2">Student</label><br>

					<input type="checkbox" name="role3" id="role3" value="manager">
					<label for="role3">Manager</label><br>

					<!-- It creates a button that will trigger the submission -->
					<button type="submit">Submit</button>
					
					<!-- It creates a button that will reset the data form -->
					<button type="reset">Reset</button>

				</form>
			</section>
			
		</main>
		

	</body>
</html>